Package org.apache.qpid.proton.codec

# Interface DescribedTypeConstructor<V>

All Known Implementing Classes:
  `AcceptedType`, `AmqpSequenceType`, `AmqpValueType`, `ApplicationPropertiesType`, `AttachType`, `BeginType`, `CloseType`, `CoordinatorType`, `DataType`, `DeclaredType`, `DeclareType`, `DeleteOnCloseType`, `DeleteOnNoLinksOrMessagesType`, `DeleteOnNoLinksType`, `DeleteOnNoMessagesType`, `DeliveryAnnotationsType`, `DetachType`, `DischargeType`, `DispositionType`, `EndType`, `ErrorConditionType`, `FlowType`, `FooterType`, `HeaderType`, `MessageAnnotationsType`, `ModifiedType`, `OpenType`, `PropertiesType`, `ReceivedType`, `RejectedType`, `ReleasedType`, `SaslChallengeType`, `SaslInitType`, `SaslMechanismsType`, `SaslOutcomeType`, `SaslResponseType`, `SourceType`, `TargetType`, `TransactionalStateType`, `TransferType`

public interface DescribedTypeConstructor<V>

## Method Summary

Modifier and Type
Method
Description
`Class`
`getTypeClass()`
`V`
`newInstance(Object described)`

## Method Details

### newInstance

V newInstance(Object described)

### getTypeClass

Class getTypeClass()